Change wifi package

Kernels & Hardware, configuring network, installing services

Change wifi package

Postby bpaul » 2018-11-07 16:25

Installing from USB stick, debian 4.9, WiFi works perfectly. Realtek module rtl8723be.
After upgrade to 4.18-02 AMD64 wifi disappeared from Networks widget on the pannel.
I can not set wifi up
ip link wlp3s0 up no response, but wlp3s0 is still down.
From journalctl -r
<error> [1541604855.9912] sup-iface[0x55d963728cd0,wlp3s0]: error adding interface: wpa_supplicant couldn't grab this interface.
wlp3s0: Failed to initialize driver interface
nl80211: deinit ifname=wlp3s0 disabled_11b_rates=0
WEXT: Could not set interface 'wlp3s0' UP

lspci -k give
Network controller: Realtek Semiconductor Co., Ltd. RTL8723BE PCIe Wireless Network Adapter
Subsystem: Lite-On Communications Inc RTL8723BE PCIe Wireless Network Adapter
Kernel driver in use: rtl8723be
Kernel modules: rtl8723be
I tink the new driver - package do not work and I wish to use instead the former package with wlp3s0 which was perfect, but I don't know what is the new 4.18 package containig rtl8723be to remove it and replace with the initial one from version 4.9. Or another better package .
bpaul
 
Posts: 5
Joined: 2018-11-07 06:52

Re: Change wifi package

Postby Head_on_a_Stick » 2018-11-07 18:02

bpaul wrote:upgrade to 4.18-02

^ How did you do this?

Have you installed the newer firmware package as well? I'm not sure but I think the backported kernel needs the matching backported firmware.
I suffer from depression and may lash out occasionally, try not to take it personally.
User avatar
Head_on_a_Stick
 
Posts: 8172
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Change wifi package

Postby bpaul » 2018-11-08 05:53

I used the graphic tool to update - upgrade, all, also passing to buster. I continue to upgrade daily.
bpaul
 
Posts: 5
Joined: 2018-11-07 06:52

Re: Change wifi package

Postby debiman » 2018-11-08 09:54

bpaul wrote:I tink the new driver - package do not work and I wish to use instead the former package with wlp3s0 which was perfect, but I don't know what is the new 4.18 package containig rtl8723be to remove it and replace with the initial one from version 4.9. Or another better package .

wlp3s0 is the interface name, and has nothing to do with the driver rtl8723be, which probably was the same all along.
question remains: HOW did you install the much newer kernel???

please execute the folloeing commands and show us their output:
Code: Select all
apt update
apt -s upgrade


troubleshooting wireless issues:
https://forums.bunsenlabs.org/viewtopic.php?id=24
User avatar
debiman
 
Posts: 3017
Joined: 2013-03-12 07:18

Re: Change wifi package

Postby bpaul » 2018-11-08 14:57

I do that every morning by graphic tool.
now:
apt update
Get:1 http://deb.debian.org/debian stretch-updates InRelease [91.0 kB]
Ign:2 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:3 http://security.debian.org/debian-security stretch/updates InRelease
Get:4 http://dl.google.com/linux/chrome/deb stable Release [943 B]
Hit:5 http://security.debian.org buster/updates InRelease
Ign:6 http://deb.debian.org/debian stretch InRelease
Hit:7 http://deb.debian.org/debian stretch Release
Get:8 http://dl.google.com/linux/chrome/deb stable Release.gpg [819 B]
Get:9 http://cdn-fastly.deb.debian.org/debian buster InRelease [150 kB]
E: Repository 'http://dl.google.com/linux/chrome/deb stable Release' changed its 'Origin' value from 'Google, Inc.' to 'Google LLC'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.
Do you want to accept these changes and continue updating from this repository? [y/N] y
Get:11 http://dl.google.com/linux/chrome/deb stable/main amd64 Packages [1,130 B]
Get:12 http://cdn-fastly.deb.debian.org/debian buster/main amd64 Packages.diff/Index [27.9 kB]
Get:13 http://cdn-fastly.deb.debian.org/debian buster/main Translation-en.diff/Index [27.9 kB]
Get:14 http://cdn-fastly.deb.debian.org/debian buster/main amd64 Packages 2018-11-08-1415.23.pdiff [482 B]
Get:14 http://cdn-fastly.deb.debian.org/debian buster/main amd64 Packages 2018-11-08-1415.23.pdiff [482 B]
Get:15 http://cdn-fastly.deb.debian.org/debian buster/main Translation-en 2018-11-08-1415.23.pdiff [183 B]
Get:15 http://cdn-fastly.deb.debian.org/debian buster/main Translation-en 2018-11-08-1415.23.pdiff [183 B]
Get:16 http://cdn-fastly.deb.debian.org/debian buster/main amd64 DEP-11 Metadata [3,719 kB]
Get:17 http://cdn-fastly.deb.debian.org/debian buster/main DEP-11 48x48 Icons [3,625 kB]
Get:18 http://cdn-fastly.deb.debian.org/debian buster/main DEP-11 64x64 Icons [7,320 kB]
Get:19 http://cdn-fastly.deb.debian.org/debian buster/main DEP-11 128x128 Icons [12.0 MB]
Fetched 26.9 MB in 1min 23s (324 kB/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
10 packages can be upgraded. Run 'apt list --upgradable' to see them.

then
root@debi:/etc/apt# apt list --upgradable
Listing... Done
xserver-xorg-core/testing 2:1.20.3-1 amd64 [upgradable from: 2:1.19.2-1+deb9u2]
xserver-xorg-video-amdgpu/testing 18.1.0-1 amd64 [upgradable from: 1.2.0-1+b1]
xserver-xorg-video-ati/testing 1:18.1.0-1 amd64 [upgradable from: 1:7.8.0-1+b1]
xserver-xorg-video-fbdev/testing 1:0.5.0-1 amd64 [upgradable from: 1:0.4.4-1+b5]
xserver-xorg-video-intel/testing 2:2.99.917+git20180925-2 amd64 [upgradable from: 2:2.99.917+git20161206-1]
xserver-xorg-video-nouveau/testing 1:1.0.15-3 amd64 [upgradable from: 1:1.0.13-3]
xserver-xorg-video-qxl/testing 0.1.5-2+b1 amd64 [upgradable from: 0.1.4+20161126git4d7160c-1]
xserver-xorg-video-radeon/testing 1:18.1.0-1 amd64 [upgradable from: 1:7.8.0-1+b1]
xserver-xorg-video-vesa/testing 1:2.4.0-1 amd64 [upgradable from: 1:2.3.4-1+b2]
xserver-xorg-video-vmware/testing 1:13.3.0-2 amd64 [upgradable from: 1:13.2.1-1+b1]

upgrade
root@debi:/etc/apt# apt -s upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
0ad-data 0ad-data-common cpp-6 fonts-sipa-arundina fonts-texgyre gcc-6 guile-2.0-libs libasan3 libavcodec57
libavutil55 libbind9-160 libcfitsio5 libdns1102 libenet7 libevent-2.0-5 libgcc-6-dev libgles2-mesa libgloox17
libiodbc2 libipt1 libirs160 libisc169 libisccc160 libisccfg160 libjsoncpp1 libkf5akonadiprivate5abi1
libkf5calendarcore5abi1 libkf5mimetreeparser5 libkf5syndication5 liblwres160 libmbedcrypto1 libnvtt2 libperl5.26
libplacebo5 libpoppler64 libpoppler74 libprotobuf-lite10 libpython3.5 libpython3.5-minimal libpython3.5-stdlib
libqrencode3 libsoprano4 libswresample2 libtidy5 libva-drm1 libva-x11-1 libva1 libvpx4 libwayland-egl1-mesa
libwebpmux2 libwxbase3.0-0v5 libwxgtk3.0-0v5 libx264-148 libx264-152 libx265-160 libx265-95
linux-compiler-gcc-6-x86 linux-kbuild-4.9 manpages-fr manpages-fr-extra openjdk-10-doc perl-modules-5.26
python-blinker python-cffi-backend python-enum34 python-jwt python-pyasn1 soprano-daemon xfonts-thai-etl
xfonts-thai-manop xfonts-thai-poonlap xfonts-thai-vor
Use 'apt autoremove' to remove them.
The following packages have been kept back:
xserver-xorg-core xserver-xorg-video-amdgpu xserver-xorg-video-ati xserver-xorg-video-fbdev
xserver-xorg-video-intel xserver-xorg-video-nouveau xserver-xorg-video-qxl xserver-xorg-video-radeon
xserver-xorg-video-vesa xserver-xorg-video-vmware
0 upgraded, 0 newly installed, 0 to remove and 10 not upgraded.
bpaul
 
Posts: 5
Joined: 2018-11-07 06:52

Re: Change wifi package

Postby stevepusser » 2018-11-08 20:28

I'm now taking bets as to how long until we get "why can't I install package XXX?" on my system from the OP...

FrankenDebian Returns!
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Quod Libet 4.2.0, Pale Moon 28.2.0, wine-staging 3.20, GIMP 2.10.8, Liquorix kernel 4.18-22, Midori 6.0
User avatar
stevepusser
 
Posts: 10130
Joined: 2009-10-06 05:53

Re: Change wifi package

Postby sunrat » 2018-11-08 22:21

bpaul wrote:I used the graphic tool to update - upgrade, all, also passing to buster.

What does that mean? You said in the first post it was a Stretch system.
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!
User avatar
sunrat
 
Posts: 2461
Joined: 2006-08-29 09:12
Location: Melbourne, Australia

Re: Change wifi package

Postby bpaul » 2018-11-09 07:43

I resume my main question :
how can I find wich package contains rtlwifi/rtl8723befw.bin used to prepare wlp3s0 ?
bpaul
 
Posts: 5
Joined: 2018-11-07 06:52

Re: Change wifi package

Postby arzgi » 2018-11-09 08:56

Keyword has been mentioned, search Franken Debian in the forums.
arzgi
 
Posts: 389
Joined: 2008-02-21 17:03
Location: Finland

Re: Change wifi package

Postby debiman » 2018-11-09 10:04

bpaul wrote:Get:1 http://deb.debian.org/debian stretch-updates InRelease [91.0 kB]
Ign:2 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:3 http://security.debian.org/debian-security stretch/updates InRelease
Get:4 http://dl.google.com/linux/chrome/deb stable Release [943 B]
Hit:5 http://security.debian.org buster/updates InRelease
Ign:6 http://deb.debian.org/debian stretch InRelease
Hit:7 http://deb.debian.org/debian stretch Release
Get:8 http://dl.google.com/linux/chrome/deb stable Release.gpg [819 B]
Get:9 http://cdn-fastly.deb.debian.org/debian buster InRelease [150 kB]

yet another...
Image
please search the debian wiki for "don't break debian".

goodbye!
User avatar
debiman
 
Posts: 3017
Joined: 2013-03-12 07:18

Re: Change wifi package

Postby bpaul » 2018-11-10 17:35

Now it's done, my son changed the driver rtl8723be.
bpaul
 
Posts: 5
Joined: 2018-11-07 06:52


Return to System configuration

Who is online

Users browsing this forum: No registered users and 9 guests

fashionable